## bibclean 2.11.4.1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#=======================================================================
# Makefile for BibTeX .bib file prettyprinter
#
# Current target list: (these include all GNU Project standard targets)
#	all			build bibclean
#	bclproto		obsolete; build an early prototype of bibclean
#	bibclean		executable for bibclean
#	bibclean.h		documentation strings for help() function
#	bibclean.hlp		VAX VMS help file (automatically converted
#				from bibclean.txt)
#	bibclean.html		HTML version of formatted manual pages
#	bibclean.i		C preprocessor output from bibclean.c
#	bibclean.pdf		Adobe Portable Document Format version 
#				of bibclean.man
#	bibclean.ps		PostScript version of bibclean.man
#	bibclean.tar		tar archive file for ftp distribution
#	bibclean.txt		nroff'ed bibclean.man manual page file
#	bibclean.zip		Info-zip archive file for ftp distribution
#	bibclean.zoo		zoo archive file for ftp distribution
#	check			same as test (see below)
#	clean			clean up all but executables and time stamps
#	clobber			clean up everything
#	distclean		remove everything make can rebuild at remote site
#	docs			make bibclean.txt, bibclean.hlp, and bibclean.ps
#	install			install executable and man pages
#	install.time		internal target for install
#	install-exe		install executable
#	install-man		install man pages
#	install-ftp		install .tar, .zip, and .zoo files in ftp tree
#	install-ftp.time	internal target for install-ftp
#	lint			check for code problems
#	mostlyclean		same as clean
#	maintainer-clean	for program author only: remove everything
#				make can rebuild at author's site
#	romtol			build and run test program for romtol()
#	TAGS			GNU Emacs tags file
#	test			test bibclean on BibTeX and Scribe
#				bibliographies
#	test-bibtex		test 1,2,3 bibclean on BibTeX bibliographies
#	test-bibtex-1		test 1 bibclean on BibTeX bibliographies
#	test-bibtex-2		test 2 bibclean on BibTeX bibliographies
#	test-bibtex-3		test 3 ISBN and ISSN verification
#	test-scribe		test 1,2,3 bibclean on Scribe bibliographies
#	test-scribe-1		test 1 bibclean on Scribe bibliographies
#	test-scribe-2		test 2 bibclean on Scribe bibliographies
#	test-scribe-3		test 3 bibclean on Scribe bibliographies
#	test-version		test extraction of version number
#	uninstall		remove files installed by "make install"
#	uninstall-ftp		remove installed files in anonymous ftp
#				directory
#
# [01-Jul-1996] -- add targets bibclean.pdf and DISTILL macro, and update
# 		   DIST-FILES list
# [03-May-1996] -- add targets match, romtol, test-match, and test-romtol,
#		   and update DIST-FILES list for version 2.11.3 release
# [25-Apr-1996] -- add target for bibclean.html, with associated
#		   support Makefile variables
# [20-Sep-1995] -- revise to use GNU autoconf and configure
# [08-Mar-1995] -- Change TARGET to TARGETS to avoid conflict with
#		   built-in macro on Cray systems. Add -D_POSIX_SOURCE
#		   to dec-alpha-osf1-c++ CC definition to work around
#		   bug in C++ signal.h header file on OSF/1 3.x.
# [21-Nov-1994] -- add cray-el94 target
# [11-Nov-1994] -- add sun-sparc-solaris2-lcc and sun-sparc-sunos5-lcc
# 		   targets
# [18-Oct-1994] -- add isbn.[co] to file lists
# [16-Oct-1994] -- add strist.[co] to file lists
# [04-Jun-1994] -- update for version 2.10
#		   add lint target
# [31-Dec-1993] -- final polishing of Makefile for public release
#                  after TUGboat publication
# [24-Sep-1993]
#=======================================================================
#### Start of system configuration section. ####

prefix          = /usr/local
exec_prefix     = $(prefix)

bindir          = $(exec_prefix)/bin
datadir         = $(prefix)/lib
infodir         = $(prefix)/info
libdir          = $(prefix)/lib
srcdir          = .

# This setting is specific to the developer's site, and not needed elsewhere
FTPDIR		= /u/ftp/pub/tex/bib

# Need new awk (nawk) or gawk here:
AWK		= /usr/local/bin/gawk
CC              = CC
CXX             = c++
CFLAGS          = -g $(OPT)
CHARSET         = @CHARSET@
CXXFLAGS	= -g -O2 $(OPT)

DEFS            = -DHAVE_CONFIG_H

INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

LDFLAGS         = $(OPT)
LIBOBJS		=  strtol.o
LIBS            = 

OPT		=


# Where to install the manual pages.
mandir          = $(prefix)/man/man1
# Extension (not including `.') for the installed manual page filenames.
manext          = 1

#### End of system configuration section. ####

# For testing purposes, make sure we always have the same
# initialization file
BIBCLEAN	= ./bibclean -init-file bibclean.ini

BIBTEX		= bibtex

BIBTEX-TESTS	= testbib1.org testbib2.org testbib3.org testbib4.org \
		  testbib5.org testbib6.org testisxn.org testcodn.org

# This program is freely available at ftp://ftp.math.utah.edu/pub/misc/checksum-x-y.*
CHECKSUM	= checksum

CHMOD		= chmod

COMPRESS	= compress

# Use the -p flag where available to preserve file time stamps
# All known UNIX implementations have an rcp that supports -p,
# but not all have similar support in cp.
CP		= /bin/cp -p
CP		= /bin/cp
CP		= rcp -p

DIST-FILES      = ChangeLog README Makefile Makefile.in bibclean.c \
		  bibclean.h bibclean.hlp bibclean.html bibclean.ini \
		  bibclean.man bibclean.pdf bibclean.ps bibclean.reg \
		  bibclean.txt build-all.sh ch.h chek.c config.h \
		  config.hin configure configure.in configure.sed \
		  custom.h delete.h do.c fix.c fndfil.c isbn.c \
		  keybrd.c keybrd.h match.c match.dat match.h \
		  match.lok option.c pattern.h rofvms.awk romtol.c \
		  romtol.dat romtol.lok strist.c strtol.c token.h \
		  toklst.h vaxvms.c vmswild.c xctype.h xerrno.h \
		  xlimits.h xpwd.h xstat.h xstdlib.h xstring.h \
		  xtypes.h xunistd.h yesorno.h $(BIBTEX-TESTS) \
		  $(BIBTEX-TESTS:.org=.bok) $(BIBTEX-TESTS:.org=.eok) \
		  testbib2.ltx $(SCRIBE-TESTS) \
		  $(SCRIBE-TESTS:.org=.bok) $(SCRIBE-TESTS:.org=.eok) \
		  testscr2.bo2 testscr2.eo2 doc/Makefile \
		  doc/bibclean.aux doc/bibclean.bbl doc/bibclean.bib \
		  doc/bibclean.blg doc/bibclean.dvi doc/bibclean.idx \
		  doc/bibclean.ilg doc/bibclean.ind doc/bibclean.log \
		  doc/bibclean.lot doc/bibclean.ltx doc/bibclean.sok \
		  doc/bibclean.sty doc/bibclean.toc doc/is-plain.bst \
		  doc/ltugboat.sty doc/path.sty doc/texnames.sty \
		  doc/tugboat.cmn ibmpc/dos/README \
		  ibmpc/dos/msc5p1/bibclean.exe \
		  ibmpc/dos/msc5p1/config.h \
		  ibmpc/dos/msc5p1/ibmclean.bat \
		  ibmpc/dos/msc5p1/ibmtest.bat \
		  ibmpc/dos/msc5p1/msc51bld.bat \
		  ibmpc/dos/msc5p1/msc51pth.bat \
		  ibmpc/dos/msc6p0/bibclean.exe \
		  ibmpc/dos/msc6p0/bibclean.map \
		  ibmpc/dos/msc6p0/config.h \
		  ibmpc/dos/msc6p0/ibmclean.bat \
		  ibmpc/dos/msc6p0/ibmtest.bat \
		  ibmpc/dos/msc6p0/msc60bld.bat \
		  ibmpc/dos/msc6p0/msc60pth.bat \
		  ibmpc/dos/msc7p0/config.h \
		  ibmpc/dos/msc7p0/ibmclean.bat \
		  ibmpc/dos/msc7p0/ibmtest.bat \
		  ibmpc/dos/msc7p0/msc70bld.bat \
		  ibmpc/dos/msc7p0/msc70pth.bat \
		  ibmpc/dos/tcc2p0/bibclean.exe \
		  ibmpc/dos/tcc2p0/config.h \
		  ibmpc/dos/tcc2p0/ibmclean.bat \
		  ibmpc/dos/tcc2p0/ibmtest.bat \
		  ibmpc/dos/tcc2p0/tcc20bld.bat \
		  ibmpc/dos/tcc2p0/tcc20pth.bat \
		  ibmpc/dos/tcc3p0/bibclean.exe \
		  ibmpc/dos/tcc3p0/config.h \
		  ibmpc/dos/tcc3p0/ibmclean.bat \
		  ibmpc/dos/tcc3p0/ibmtest.bat \
		  ibmpc/dos/tcc3p0/tcc30bld.bat \
		  ibmpc/dos/tcc3p0/tcc30pth.bat \
		  ibmpc/dos/tpp3p0/bibclean.exe \
		  ibmpc/dos/tpp3p0/config.h \
		  ibmpc/dos/tpp3p0/ibmclean.bat \
		  ibmpc/dos/tpp3p0/ibmtest.bat \
		  ibmpc/dos/tpp3p0/tcc30pth.bat \
		  ibmpc/dos/tpp3p0/tpp30bld.bat \
		  ibmpc/dos/wat10/wcc/bibclean.exe \
		  ibmpc/dos/wat10/wcc/bibclean.map \
		  ibmpc/dos/wat10/wcc/config.h \
		  ibmpc/dos/wat10/wcc/ibmclean.bat \
		  ibmpc/dos/wat10/wcc/ibmtest.bat \
		  ibmpc/dos/wat10/wcc/watcpp.bat \
		  ibmpc/dos/wat10/wcc/watpath.bat \
		  ibmpc/dos/wat10/wcc/watwcc.bat \
		  ibmpc/dos/wat10/wcc386/bibclean.exe \
		  ibmpc/dos/wat10/wcc386/config.h \
		  ibmpc/dos/wat10/wcc386/dos4gw.doc \
		  ibmpc/dos/wat10/wcc386/dos4gw.exe \
		  ibmpc/dos/wat10/wcc386/ibmclean.bat \
		  ibmpc/dos/wat10/wcc386/ibmtest.bat \
		  ibmpc/dos/wat10/wcc386/wat10bld.bat \
		  ibmpc/dos/wat10/wcc386/watpath.bat \
		  ibmpc/dos/wat10/wpp386/bibclean.exe \
		  ibmpc/dos/wat10/wpp386/config.h \
		  ibmpc/dos/wat10/wpp386/dos4gw.doc \
		  ibmpc/dos/wat10/wpp386/dos4gw.exe \
		  ibmpc/dos/wat10/wpp386/ibmclean.bat \
		  ibmpc/dos/wat10/wpp386/ibmtest.bat \
		  ibmpc/dos/wat10/wpp386/w386cpp.bat \
		  ibmpc/dos/wat10/wpp386/watpath.bat ibmpc/linux/bibclean \
		  save/Makefile save/config.h save/configure \
		  vms/alpha/recomp.com vms/alpha/vmsclean.com \
		  vms/alpha/vmsmake.com vms/alpha/vmstest.com vms/vax/README \
		  vms/vax/bibclean.exe vms/vax/bibclean.obj vms/vax/chek.obj \
		  vms/vax/config.h vms/vax/do.obj vms/vax/fix.obj \
		  vms/vax/fndfil.obj vms/vax/getoneheader.com \
		  vms/vax/getvmsheaders.com vms/vax/isbn.obj \
		  vms/vax/keybrd.obj vms/vax/match.obj vms/vax/option.obj \
		  vms/vax/recomp.com vms/vax/romtol.obj vms/vax/strist.obj \
		  vms/vax/vaxvms.obj vms/vax/vmsclean.com vms/vax/vmsmake.com \
		  vms/vax/vmstest.com vms/vax/vmswild.obj

DISTILL		= distill

DITROFF		= ditroff	## AT&T
DITROFF		= groff		## GNU

# Some systems define HOST or HOSTNAME, but others don't, so we
# generate it at compile time with the hostname utility.
HOST		= `hostname`

# This program is freely available at ftp://ftp.math.utah.edu/pub/sgml/sp-*
HTML-NCHECK	= html-ncheck

# This program is freely available at ftp://ftp.math.utah.edu/pub/sgml/htmlpty-x.y.*
HTML-PRETTY	= html-pretty

LATEX		= latex

LINT		= lint

LINTFLAGS	= -bchx -I.

LN		= ln

# This program will not likely be available at other than the author's
# site, so the .html file is preserved unless a "make maintainer-clean"
# is done.  It may be freely distributed at some point, so if you want
# it, ask the author about its status.
MAN2HTML	= $(AWK) -f $$HOME/public_html/support/myman2html/man2html.awk

MV		= /bin/mv

NROFF		= nroff

RM		= /bin/rm -f

SCRIBE-TESTS-1	= testscr1.org testscr2.org

# Do NOT use SCRIBE-TESTS-1 in this list, because MIPS 6280 RISCos 5.0
# make then fails to correctly expand $(SCRIBE-TESTS:.org=.xyz).
SCRIBE-TESTS	= testscr1.org testscr2.org testscr3.org

SED		= /bin/sed

SHELL		= /bin/sh

SRC             = bibclean.c chek.c do.c fix.c fndfil.c isbn.c \
		  keybrd.c match.c option.c romtol.c strist.c strtol.c

STRIP		= strip

# Only the subdirectories with Makefiles are listed here
SUBDIRS		= doc

TAGS-FILES      = bibclean.c bibclean.h ch.h chek.c config.h custom.h \
		  delete.h do.c fix.c fndfil.c isbn.c keybrd.c \
		  keybrd.h match.c match.h option.c pattern.h romtol.c \
		  strist.c strtol.c token.h toklst.h vaxvms.c \
		  vmswild.c xctype.h xerrno.h xlimits.h xpwd.h xstat.h \
		  xstdlib.h xstring.h xtypes.h xunistd.h yesorno.h

UNZIP		= unzip

VERSION		= `$(AWK) '/^[ \t]*version *= *"[0-9.]+", *$$/ \
		{ gsub(/[^0-9.]/,"",$$3); print $$3 }' bibclean.c`

ZIP		= zip

ZOO		= zoo

#=======================================================================

.SUFFIXES:

.SUFFIXES: .o .i .c .bib-new .bib-old .bib

.bib.bib-new:
	-$(BIBCLEAN) <$< >$@

.bib.bib-old:
	./bclproto <$< >$@

.c.i:
	$(CC) -E -I. -I$(srcdir) $(DEFS) $(CPPFLAGS) $(CFLAGS) $< 2>&1 | \
		grep -v '^[ 	]*$$' >$@

.c.o:
	$(CC) -c -I. -I$(srcdir) $(DEFS) $(CPPFLAGS) $(CFLAGS) $<

#=======================================================================

all: bibclean

### bibclean-specific building targets ###

bibclean.dvi: bibclean.texi
	cd $(srcdir); texi2dvi bibclean.texi

bibclean.html:	bibclean.man
	-$(CHMOD) u+w $@
	$(MAN2HTML) $$PWD/$< | $(HTML-PRETTY)  -f $$PWD/$@ | $(CHECKSUM) >$@
	$(CHMOD) a-w $@
	$(HTML-NCHECK) $@

bibclean.info: bibclean.texi
	cd $(srcdir); makeinfo bibclean.texi

BIBCLEAN-OBJS   = bibclean.o chek.o do.o fix.o fndfil.o isbn.o \
		  keybrd.o match.o option.o romtol.o strist.o \
		  $(LIBOBJS)
