=== debian/changelog ===
bibclean (2.11.4.1-4) unstable; urgency=low

  * build targets changed to recommendation from lintian
  * suggest texlive-base-bin instead of just tex (Closes: #646913)
  * debian/patches: patches reworked
  * debian/control: readability improved
  * debian/rules: tidy up

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2011 18:25:20 +0100

bibclean (2.11.4.1-3) unstable; urgency=low

  * debian/rules: make sure to rebuild everything
  * debian/control: add dependencies for latex, bibtex, makeindex etc.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 14 Oct 2011 18:10:18 +0200

bibclean (2.11.4.1-2) unstable; urgency=low

  * patches reworked (Closes: #643054)
  * debian/control: remove dependency on quilt
  * debian/control: standard version changed to 3.9.2 (no changes)
  * debian/patches/bibclean-doc.patch: to be able to create documentation
  * debian/rules: build-arch and build-indep target added
  * debian/rules: create bibclean.dvi from scratch
  * debian/rules: remove */*.dvi in clean target
  * debian/rules: explicit calls to dh_quilt* removed

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 12 Oct 2011 18:00:00 +0200

bibclean (2.11.4.1-1) unstable; urgency=low

  * new maintainer (Closes: 525922)
  * patch to bibclean.ini to prevent year 2010 bug (Closes: #569688)
  * debian/control: Standards version set to 3.9.1
  * debian/control: dependency on quilt added
  * debian/control: DM-Upload-Allowed added
  * debian/compat: set to 8 (as well in debian/control)
  * quilt patch created
  * directories vms and ibmpc with precompiled binaries removed from
    source tar file (lintian complained about them)
    this resulted in a new orig file and therefore the version changed
    from 2.11.4 from upstream to 2.11.4.1

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Nov 2010 18:00:00 +0100

bibclean (2.11.4-7) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Make clean not ignore errors.
  * Move URL from package description to Homepage.
  * Remove strip from Makefile.in. (Closes: #436582).
  * Update debhelper build-dep to >= 5.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 Apr 2009 22:12:51 -0400

bibclean (2.11.4-6) unstable; urgency=low

  * Add watch file
  * Update ISBN prefix range database in isbn.c with current ranges

 -- Henning Makholm <henning@makholm.net>  Wed,  9 Nov 2005 22:39:58 +0100

bibclean (2.11.4-5) unstable; urgency=low

  * Support the new ISDN-13 format (validation and format canonicalization).
  * Update ISBN prefix range database in isbn.c with fresh data from
    www.isbn-international.org.

 -- Henning Makholm <henning@makholm.net>  Wed, 29 Dec 2004 14:27:06 +0000

bibclean (2.11.4-4) unstable; urgency=low

  * Add lintian override for false positive (GPL)
  * Now lintian clean.
  * Show all options on manual page

 -- Henning Makholm <henning@makholm.net>  Tue, 28 Dec 2004 20:01:28 +0000

bibclean (2.11.4-3) unstable; urgency=low

  * Fix the autotools timestamp skew problem for configure/configure.in.
    Thanks to Martin Loschwitz for noticing that my previous attempt at
    fixing this did not work reliably (due to upstream shipping a
    Makefile in his tarball rather than just a Makefile.in).
  * Tune generation of the canned help text in bibclean.h such that
    its layout matches that distributed by upstream better.

 -- Henning Makholm <henning@makholm.net>  Tue, 24 Feb 2004 20:58:56 +0000

bibclean (2.11.4-2) unstable; urgency=low

  * Minor speling fixes (Closes: #215863)

 -- Henning Makholm <henning@makholm.net>  Sat,  6 Dec 2003 16:26:49 +0000

bibclean (2.11.4-1) unstable; urgency=low

  * Initial Debian release. (Closes: #211799)

 -- Henning Makholm <henning@makholm.net>  Sun, 21 Sep 2003 17:01:56 +0100
