=== debian/control ===
Source: bibclean
Section: tex
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8.0.0), 
 tex-common (>= 0.16), 
 texlive-latex-base, 
 texlive-metapost, 
 texlive-latex-recommended
Standards-Version: 3.9.2
Homepage: http://ftp.math.utah.edu/pub/bibclean/
DM-Upload-Allowed: yes

Package: bibclean
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive-base-bin
Description: pretty-printer for BibTeX databases
 This is a pretty-printer and syntax-checker for bibliographic
 databases in the BibTeX format. It is a useful tool for canonicalizing
 the layout of personal bibliographies with entries fetched from many
 different sources.
