=== debian/watch ===
version=2
http://www.math.utah.edu/pub/bibclean/ bibclean-(\d+\.[\d\.]+)\.tar\.gz
