## bibclean 3.07

=== save/Makefile ===
### ====================================================================
### Makefile for BibTeX .bib file prettyprinter
###
### Current target list: (these include all GNU Project standard
### targets)
###
###	all			build bibclean
###	bibclean		executable for bibclean
###	bibclean.h		documentation strings for help()
###				function
###	bibclean.hlp		VAX VMS help file (automatically
###				converted from bibclean.txt)
###	bibclean.html		HTML version of formatted manual pages
###	bibclean.i		C preprocessor output from bibclean.c
###	bibclean.jar		Java Jar distribution archive
###	bibclean.pdf		Adobe Portable Document Format version
###				of bibclean.man
###	bibclean.ps		PostScript version of bibclean.man
###	bibclean.tar		tar archive file for ftp distribution
###	bibclean.txt		nroff'ed bibclean.man manual page file
###	bibclean.zip		Info-zip archive file for ftp
###				distribution
###	bibclean.zoo		zoo archive file for ftp distribution
###	check			same as test (see below)
###	clean			clean up all but executables and time
###				stamps
###	clobber			clean up everything
###	distclean		remove everything make can rebuild at
###				remote site
###	docs			make bibclean.txt, bibclean.hlp, and
###				bibclean.ps
###	install			install executable and man pages
###	install.time		internal target for install
###	install-exe		install executable
###	install-man		install man pages
###	install-ftp		install .tar, .zip, and .zoo files in
###				ftp tree
###	install-ftp.time	internal target for install-ftp
###	lint			check for code problems
###	mostlyclean		same as clean
###	maintainer-clean	for program author only: remove
###				everything make can rebuild at
###				author's site
###	romtol			build and run test program for romtol()
###	TAGS			GNU Emacs tags file
###	test			test bibclean on BibTeX and Scribe
###				bibliographies
###	test-bibtex		test 1,2,3 bibclean on BibTeX
###				bibliographies
###	test-bibtex-1		test 1 bibclean on BibTeX bibliographies
###	test-bibtex-2		test 2 bibclean on BibTeX bibliographies
###	test-bibtex-3		test 3 ISBN and ISSN verification
###	test-scribe		test 1,2,3 bibclean on Scribe
###				bibliographies
###	test-scribe-1		test 1 bibclean on Scribe bibliographies
###	test-scribe-2		test 2 bibclean on Scribe bibliographies
###	test-scribe-3		test 3 bibclean on Scribe bibliographies
###	test-version		test extraction of version number
###	uninstall		remove files installed by "make install"
###	uninstall-ftp		remove installed files in anonymous ftp
###				directory
###
### [28-Feb-2016] -- major update for bibclean 3.00 and later
### [28-Aug-2001] -- major update for bibclean 2.12 and later
### [01-Jul-1996] -- add targets bibclean.pdf and DISTILL macro, and
###		     update DIST-FILES list
### [03-May-1996] -- add targets match, romtol, test-match, and
###		     and test-romtol, and update DIST-FILES list for
###		     version 2.11.3 release
### [25-Apr-1996] -- add target for bibclean.html, with associated
###		     support Makefile variables
### [20-Sep-1995] -- revise to use GNU autoconf and configure
### [08-Mar-1995] -- Change TARGET to TARGETS to avoid conflict with
###		     built-in macro on Cray systems. Add -D_POSIX_SOURCE
###		     to dec-alpha-osf1-c++ CC definition to work around
###		     bug in C++ signal.h header file on OSF/1 3.x.
### [21-Nov-1994] -- add cray-el94 target
### [11-Nov-1994] -- add sun-sparc-solaris2-lcc and sun-sparc-sunos5-lcc
###		     targets
### [18-Oct-1994] -- add isbn.[co] to file lists
### [16-Oct-1994] -- add strist.[co] to file lists
### [04-Jun-1994] -- update for version 2.10
###		     add lint target
### [31-Dec-1993] -- final polishing of Makefile for public release
###		     after TUGboat publication
### [24-Sep-1993] -- original version
### ====================================================================

### --------------------------------------------------------------------
### Start of system configuration section.

BIBCLEANNAME	= bibclean

prefix		= /usr/uumath
exec_prefix     = ${prefix}

bindir          = ${exec_prefix}/bin
srcdir          = .

datarootdir	= ${prefix}/share
datadir		= ${datarootdir}
bibcleandir	= ${datadir}/${BIBCLEANNAME}
initdir		= ${bibcleandir}/${VERSION}

### This is needed only at the developer's site:
FTPDIR		= /u/ftp/pub/tex/bib

CC              = gcc
CFLAGS          =  -I${prefix}/include ${OPT}
CPPFLAGS	=  -I${prefix}/include

DEFS            = -DINITDIR='"${initdir}"' ${XDEFS} -DHAVE_CONFIG_H

LDFLAGS         = -L/usr/uumath/lib64 -Wl,-rpath,/usr/uumath/lib64 ${OPT}
LIBOBJS		= 
LIBS            = 

OPT		=



### Where to install the manual pages.
mandir          = ${prefix}/man/man1
### Extension (not including `.') for the installed manual page filenames.
manext          = 1

### End of system configuration section.
### --------------------------------------------------------------------

AUTOCONF	= autoconf

AUTOHEADER	= autoheader

AWK		= mawk

BIBCLEAN	= bibclean${EXEEXT}

### This option is normally empty, but is used by the developer
### to test whether new options affect output.
BIBCLEANFLAGS	=

BIBISBN		= bibisbn${EXEEXT}

CHECK-BIBISBN	= bibisbn1 bibisbn2 bibisbn3 bibisbn4 bibisbn5 bibisbn6 bibisbn7

BIBTEX		= bibtex

CAT		= cat

### The topt1* tests try all recognized options with a single leading dash, and
### the topt3* tests are their companions with two leading dashes.  However, we
### intentionally EXCLUDE topt163 and topt363 because they hold -print-patterns
### options whose output is site-dependent.  We have no tests for
### -trace-file-opening because that too is site-dependent, and also
### user-dependent.

CHECK-BIBTEX    = testbib1 testbib2 testbib3 testbib4 testbib5 testbib6		\
		  testbib7 testbib8 testcodn testisxn testopt1 testopt2		\
		  testopt3 testopt4 testopt5 testopt6 testopt7 testopt8		\
		  testopt9 testopta testoptb testoptc testoptd testopte		\
		  testoptf testoptg testopth testopti testoptj testoptk		\
		  testoptl testoptm testoptn testopto testoptp testoptq		\
		  testoptr testopts testoptt testoptu testoptv testoptw		\
		  topt101 topt102 topt103 topt104 topt105 topt106 topt107	\
		  topt108 topt109 topt110 topt111 topt112 topt113 topt114	\
		  topt115 topt116 topt117 topt118 topt119 topt120 topt121	\
		  topt122 topt123 topt124 topt125 topt126 topt127 topt128	\
		  topt129 topt130 topt131 topt132 topt133 topt134 topt135	\
		  topt136 topt137 topt138 topt139 topt140 topt141 topt142	\
		  topt143 topt144 topt145 topt146 topt147 topt148 topt149	\
		  topt150 topt151 topt152 topt153 topt154 topt155 topt156	\
		  topt157 topt158 topt159 topt160 topt161 topt162 topt164	\
		  topt165 topt166 topt167 topt168 topt169 topt170 topt171	\
		  topt301 topt302 topt303 topt304 topt305 topt306 topt307	\
		  topt308 topt309 topt310 topt311 topt312 topt313 topt314	\
		  topt315 topt316 topt317 topt318 topt319 topt320 topt321	\
		  topt322 topt323 topt324 topt325 topt326 topt327 topt328	\
		  topt329 topt330 topt331 topt332 topt333 topt334 topt335	\
		  topt336 topt337 topt338 topt339 topt340 topt341 topt342	\
		  topt343 topt344 topt345 topt346 topt347 topt348 topt349	\
		  topt350 topt351 topt352 topt353 topt354 topt355 topt356	\
		  topt357 topt358 topt359 topt360 topt361 topt362 topt364	\
		  topt365 topt366 topt367 topt368 topt369 topt370 topt371	\
		  topt372

CHECK-LATEX	= testltx1.ltx

CHECK-MATCH	= match.in

CHECK-ROMTOL	= romtol.in

CHECK-SCRIBE	= testscr1.bib testscr2.bib testscr3.bib testscr4.bib

### This program is freely available at ftp://ftp.math.utah.edu/pub/checksum/
CHECKSUM	= checksum

CHMOD		= chmod

CMP		= cmp

CP		= scp -p
CPFLAGS		= -p

CUT		= cut

DATE		= date

DIFF		= diff

DIST-FILES      = ChangeLog COPYING README Makefile.in bibclean.c bibclean.h	\
		  bibclean.hlp bibclean.html bibclean.ini bibclean.isbn		\
		  bibclean.key bibclean.man bibclean.pdf bibclean.ps		\
		  bibclean.reg bibclean.txt build-all.sh ch.h chek.c		\
		  config.hin configure configure.ac configure.sed custom.h	\
		  delete.h do.c dbx-test.run fix.c fndfil.c isbn.c isbn.h	\
		  isbn.tbl isbn-el-to-bibclean-isbn.awk keybrd.c keybrd.h	\
		  match.c match.dat match.h option.c pattern.h rofvms.awk	\
		  romtol.c romtol.dat strist.c strtol.c token.h toklst.h	\
		  tstctype.c typedefs.h vaxvms.c vmswild.c xctype.h xerrno.h	\
		  xlimits.h xpwd.h xstat.h xstdbool.h xstdio.h xstdlib.h	\
		  xstring.h xtypes.h xunistd.h yesorno.h testscr2.bo2		\
		  testscr2.eo2 ${FILES-DOC} ${FILES-IBMPC} ${FILES-SAVE}	\
		  ${FILES-TEST} test/plain.bst ${FILES-VMS} ${FILES-WINDOWS}

DISTILL		= ps2pdf

DITROFF		= groff

ETAGS		= etags

EXEEXT		= 

EXPR		= expr

### On UNIX systems, the FILES-xxx lists could be generated by `find xxx
### -type f | sort`, but explicit enumeration eases portability to other
### operating systems, and ensures that we do not accidentally include
### unwanted temporary files that might be present.
FILES-DOC       = doc/Makefile doc/bibclean.aux doc/bibclean.bbl	\
		  doc/bibclean.bib doc/bibclean.blg doc/bibclean.dvi	\
		  doc/bibclean.idw doc/bibclean.idx doc/bibclean.ilg	\
		  doc/bibclean.ind doc/bibclean.log doc/bibclean.lot	\
		  doc/bibclean.ltx doc/bibclean.pdf doc/bibclean.ps	\
		  doc/bibclean.sok doc/bibclean.sty doc/bibclean.toc	\
		  doc/is-plain.bst doc/ltugboat.sty doc/path.sty	\
		  doc/texnames.sty doc/tugboat.cmn

FILES-IBMPC	= ibmpc/dos/README ibmpc/dos/msc5p1/bibclean.exe		\
		  ibmpc/dos/msc5p1/config.h ibmpc/dos/msc5p1/ibmclean.bat	\
		  ibmpc/dos/msc5p1/ibmtest.bat ibmpc/dos/msc5p1/msc51bld.bat	\
		  ibmpc/dos/msc5p1/msc51pth.bat ibmpc/dos/msc6p0/bibclean.exe	\
		  ibmpc/dos/msc6p0/bibclean.map ibmpc/dos/msc6p0/config.h	\
		  ibmpc/dos/msc6p0/ibmclean.bat ibmpc/dos/msc6p0/ibmtest.bat	\
		  ibmpc/dos/msc6p0/msc60bld.bat ibmpc/dos/msc6p0/msc60pth.bat	\
		  ibmpc/dos/msc7p0/config.h ibmpc/dos/msc7p0/ibmclean.bat	\
		  ibmpc/dos/msc7p0/ibmtest.bat ibmpc/dos/msc7p0/msc70bld.bat	\
		  ibmpc/dos/msc7p0/msc70pth.bat ibmpc/dos/tcc2p0/bibclean.exe	\
		  ibmpc/dos/tcc2p0/config.h ibmpc/dos/tcc2p0/ibmclean.bat	\
		  ibmpc/dos/tcc2p0/ibmtest.bat ibmpc/dos/tcc2p0/tcc20bld.bat	\
		  ibmpc/dos/tcc2p0/tcc20pth.bat ibmpc/dos/tcc3p0/bibclean.exe	\
		  ibmpc/dos/tcc3p0/config.h ibmpc/dos/tcc3p0/ibmclean.bat	\
		  ibmpc/dos/tcc3p0/ibmtest.bat ibmpc/dos/tcc3p0/tcc30bld.bat	\
		  ibmpc/dos/tcc3p0/tcc30pth.bat ibmpc/dos/tpp3p0/bibclean.exe	\
		  ibmpc/dos/tpp3p0/config.h ibmpc/dos/tpp3p0/ibmclean.bat	\
		  ibmpc/dos/tpp3p0/ibmtest.bat ibmpc/dos/tpp3p0/tcc30pth.bat	\
		  ibmpc/dos/tpp3p0/tpp30bld.bat					\
		  ibmpc/dos/wat10/wcc/bibclean.exe				\
		  ibmpc/dos/wat10/wcc/bibclean.map				\
		  ibmpc/dos/wat10/wcc/config.h					\
		  ibmpc/dos/wat10/wcc/ibmclean.bat				\
		  ibmpc/dos/wat10/wcc/ibmtest.bat				\
		  ibmpc/dos/wat10/wcc/watcpp.bat				\
		  ibmpc/dos/wat10/wcc/watpath.bat				\
		  ibmpc/dos/wat10/wcc/watwcc.bat				\
		  ibmpc/dos/wat10/wcc386/bibclean.exe				\
		  ibmpc/dos/wat10/wcc386/config.h				\
		  ibmpc/dos/wat10/wcc386/dos4gw.doc				\
		  ibmpc/dos/wat10/wcc386/dos4gw.exe				\
		  ibmpc/dos/wat10/wcc386/ibmclean.bat				\
		  ibmpc/dos/wat10/wcc386/ibmtest.bat				\
		  ibmpc/dos/wat10/wcc386/wat10bld.bat				\
		  ibmpc/dos/wat10/wcc386/watpath.bat				\
		  ibmpc/dos/wat10/wpp386/bibclean.exe				\
		  ibmpc/dos/wat10/wpp386/config.h				\
		  ibmpc/dos/wat10/wpp386/dos4gw.doc				\
		  ibmpc/dos/wat10/wpp386/dos4gw.exe				\
		  ibmpc/dos/wat10/wpp386/ibmclean.bat				\
		  ibmpc/dos/wat10/wpp386/ibmtest.bat				\
		  ibmpc/dos/wat10/wpp386/w386cpp.bat				\
		  ibmpc/dos/wat10/wpp386/watpath.bat ibmpc/linux/bibclean

FILES-SAVE	= save/Makefile save/config.h save/config.hin save/configure	\
		  save/custom.h

FILES-TEST      = test/match.in test/okay/match.err test/okay/match.out		\
		  test/okay/romtol.err test/okay/romtol.out			\
		  test/okay/testbib1.err test/okay/testbib1.out			\
		  test/okay/testbib2.err test/okay/testbib2.out			\
		  test/okay/testbib3.err test/okay/testbib3.out			\
