=== debian/changelog ===
bibclean (3.07-2) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * add debian/gbp.conf
  * debian/control: add VCS URLs
  * debian/rules: use dh now

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Dec 2024 19:08:21 +0100

bibclean (3.07-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #1074842)
    (Closes: #810106)
  * debian/patches: all patches applied upstream
  * debian/watch: update, no SSL possible
  * debian/control: add Rules-Requires-Root: no
  * debian/rules: Fix FTCBFS: Let dpkg's buildtools.mk supply CC.
                  Thanks to Helmut Grohne for the patch!
                  (Closes: #1023743)
  * This is a version jump from 2.11 to 3.07 and is comparable with
    a new package. In case anything is broken, please file a bug!

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 05 Aug 2024 19:08:21 +0200

bibclean (2.11.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export CFLAGS from dpkg-buildflags(1) and FORCE_SOURCE_DATE to make the
    build reproducible. Based on a patch by Vagrant Cascadian.
    (Closes: #829754)
  * Apply a patch by Helmut Grohne to add support for using a C compiler
    suitable for cross-building. (Closes: #929036)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 10:42:07 -0700
