=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: tex
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 8.0.0), 
- tex-common (>= 0.16), 
- texlive-latex-base, 
- texlive-metapost, 
+Build-Depends: debhelper-compat (= 12),
+ tex-common (>= 0.16),
+ texlive-latex-base,
+ texlive-metapost,
  texlive-latex-recommended
-Standards-Version: 3.9.2
+Standards-Version: 4.7.0
 Homepage: http://ftp.math.utah.edu/pub/bibclean/
-DM-Upload-Allowed: yes
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/alteholz/bibclean
+Vcs-Git: https://salsa.debian.org/alteholz/bibclean.git
 
 Package: bibclean
 Architecture: any
