=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CC
export FORCE_SOURCE_DATE=1

CONFIGURE_FLASE = --with-pager=/usr/bin/pager --with-fhs-rcfiles \
		--prefix=/usr --mandir=\$${prefix}/share/man

%:
	dh $@

override_dh_auto_configure:
	echo $(CFLAGS) " -> " $(CPPFLAGS)
	CFLAGS="$(CFLAGS) $(CPPFLAGS) " dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build
	make -C ./doc bibclean.dvi
