=== debian/watch ===
version=4
http://www.math.utah.edu/pub/bibclean/ bibclean-(\d+\.[\d\.]+)\.tar\.gz debian uupdate
